# Generated from sprockets-export-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sprockets-export

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Sprockets Export
License: MIT
URL: https://github.com/javan/sprockets-export
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sprockets) >= 3.0
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
A Sprockets directive for hassle-free UMD-style JavaScript module definitions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_instdir}/sprockets-export.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Jul 02 2018 pvalena <pvalena@redhat.com> - 1.0.0-1
- Initial package
